import argparse, os, sys, datetime
from csv import DictReader, DictWriter


ap = argparse.ArgumentParser("File listing with csv output")
ap.add_argument("input", nargs="+")
ap.add_argument('outfile', nargs='?', type=argparse.FileType('w'), default=sys.stdout)
args = ap.parse_args()

out = DictWriter(sys.stdout, fieldnames=("path", "mtime", "size"))
out.writeheader()

for n in args.input:
	s = os.stat(n)
	mtime = datetime.datetime.fromtimestamp(s.st_mtime).strftime('%Y-%m-%dT%H:%M:%SZ')
	out.writerow({'path': n, 'mtime': mtime, 'size': s.st_size})